/* 
 * tclVmsSock.c --
 *
 *	This file contains VMS-specific socket related code.
 *
 *	It should work with both Multinet and UCX.
 *
 */

#include "tcl.h"
#include "tclPort.h"

/*
 * The following variable holds the network name of this host.
 */

#ifndef SYS_NMLN
#   define SYS_NMLN 100
#endif

static char hostname[SYS_NMLN + 1];
static int  hostnameInited = 0;

/*
 *----------------------------------------------------------------------
 *
 * Tcl_GetHostName --
 *
 *	Get the network name for this machine, in a system dependent way.
 *
 * Results:
 *	A string containing the network name for this machine.
 *
 * Side effects:
 *	None.
 *
 *----------------------------------------------------------------------
 */

char *
Tcl_GetHostName()
{
    if (!hostnameInited) {
	multinet_gethostname(hostname, sizeof(hostname));
	hostnameInited = 1;
    }
    return hostname;
}
